###########################################
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 3   #
#                                         #
###########################################

# required stuff
find_package( TQt )
find_package( TDE )

tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )


##### check for gcc visibility support

if( WITH_GCC_VISIBILITY )
  tde_setup_gcc_visibility( )
endif( WITH_GCC_VISIBILITY )

if( BUILD_GTK_ENGINE )
  pkg_search_module( GTK gtk+-2.0 )
  if( NOT GTK_FOUND )
    tde_message_fatal( "The GTK+2 engine was selected for build, but GTK+2 headers were not found on your system." )
  endif( )

  pkg_get_variable( GTK_BIN_VERSION gtk+-2.0 gtk_binary_version )
  set( INSTALL_PATH_GTK_ENGINES "${GTK_LIBDIR}/gtk-2.0/${GTK_BIN_VERSION}/engines"
       CACHE PATH "The directory in which to install the theme engine library" )
  message( STATUS "  theme engine lib directory: ${INSTALL_PATH_GTK_ENGINES}" )
  set( INSTALL_PATH_GTK_THEMES "${GTK_PREFIX}/share/themes"
       CACHE PATH "The directory in which to install the theme data" )
  message( STATUS "  theme engine data directory: ${INSTALL_PATH_GTK_THEMES}" )

endif( BUILD_GTK_ENGINE )